summaryrefslogtreecommitdiffstats
path: root/sca-cpp/trunk/components/chat/echo-test
diff options
context:
space:
mode:
authorjsdelfino <jsdelfino@13f79535-47bb-0310-9956-ffa450edef68>2010-03-21 22:00:32 +0000
committerjsdelfino <jsdelfino@13f79535-47bb-0310-9956-ffa450edef68>2010-03-21 22:00:32 +0000
commitbc6e7c7b3b48a388f4291b8627ac5abb3069d8a7 (patch)
treede9856fbb37b25079cdc13c98fd89bbcb55d771f /sca-cpp/trunk/components/chat/echo-test
parentc7c8892fafc8798acb6b930aaf2bbff4537c467c (diff)
Port to latest Apache Vysper 0.5 and Qpid 0.6. Change memcached scripts to start memcached as a daemon.
git-svn-id: http://svn.us.apache.org/repos/asf/tuscany@925909 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'sca-cpp/trunk/components/chat/echo-test')
-rwxr-xr-xsca-cpp/trunk/components/chat/echo-test31
1 files changed, 31 insertions, 0 deletions
diff --git a/sca-cpp/trunk/components/chat/echo-test b/sca-cpp/trunk/components/chat/echo-test
new file mode 100755
index 0000000000..271d40d122
--- /dev/null
+++ b/sca-cpp/trunk/components/chat/echo-test
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# Setup
+./vysper-start
+sleep 3
+
+# Test
+./xmpp-test 2>/dev/null
+rc=$?
+
+# Cleanup
+./vysper-stop
+sleep 1
+return $rc